rte_dev_iterator(3)

NAME
rte_dev_iterator

SYNOPSIS

#include <rte_dev.h>

  Data Fields

const char * dev_str
const char * bus_str
const char * cls_str
struct rte_bus * bus
struct rte_class * cls
struct rte_device * device
void * class_device

Detailed Description

Iteration context.

This context carries over the current iteration state.

Definition at line 240 of file rte_dev.h.

Field Documentation

  const char* dev_str
device string.

Definition at line 241 of file rte_dev.h.

  const char* bus_str
bus-related part of device string.

Definition at line 242 of file rte_dev.h.

  const char* cls_str
class-related part of device string.

Definition at line 243 of file rte_dev.h.

  struct rte_bus* bus
bus handle.

Definition at line 244 of file rte_dev.h.

  struct rte_class* cls
class handle.

Definition at line 245 of file rte_dev.h.

  struct rte_device* device
current position.

Definition at line 246 of file rte_dev.h.

  void* class_device
additional specialized context.

Definition at line 247 of file rte_dev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.